﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Input;
using Telerik.Windows.Controls;

namespace RadGridView_WPF_NoXAML_118
{
    class ViewModel : ViewModelBase
    {
        public ICommand CustomCommand { get; set; }


        public ViewModel()
        {
            this.CustomCommand = new DelegateCommand(OnCustomCommandExecuted);
        }

        public bool flag;

        private void OnCustomCommandExecuted(object obj)
        {

            var TileList = obj as RadTileList;

          
            if ( flag == false)
            {
                foreach (var item in TileList.Items)
                {
                    var actualItem = item as Tile;
                    if (actualItem.Group.DisplayIndex == 0)
                    {
                        actualItem.Visibility = Visibility.Collapsed;
                        actualItem.Group.Header = "";
                    }
                   
                  
                }
                flag = true;

            } 
            else 
            {
                foreach (var item in TileList.Items)
                {
                    var actualItem = item as Tile;
                    if (actualItem.Group.DisplayIndex == 0)
                    {
                        actualItem.Visibility = Visibility.Visible;
                        actualItem.Group.Header = "Europe";
                    }
                   
                }
                flag = false;
            }

        }


    }
}
